package com.ywt.outpatient.domain.models.enums;

public enum AttendingStatusEnum {

    /**
     * 主诊业务状态（位标识：1-拒绝，2-同意，4-已通知用户，8-已支付，16-已评价）
     */

    Refuse("拒绝", 1),
    Accept("同意", 2),
    InformPatient("已通知用户",4),
    AlreadyPay("已支付",8),
    PatientEvaluate("已评价",16);

    private final String displayName;

    private final int value;

    AttendingStatusEnum(String displayName, int value){
        this.displayName = displayName;
        this.value = value;
    }

    public String getDisplayName() {
        return displayName;
    }

    public int getValue() {
        return value;
    }


}
